This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 501227 - RFE: Nautilus and Tracker tags integration
RFE: Nautilus and Tracker tags integration
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: nautilus-python (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Deji Akingunola
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-18 02:43 EDT by Valent Turkovic
Modified: 2015-07-23 06:42 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-13 17:10:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Valent Turkovic 2009-05-18 02:43:15 EDT
Description of problem:
http://www.youtube.com/watch?v=QQ5YyMsLtyE

I don't have functionality of Nautilus + Tracker tags (see youtube video for demonstration)

Fedora should have tabbing tracker functionality but I can't enable it. I installed: nautilus-python, tracker-search-tool and tracker

Is this a Fedora bug or am I doing something wrong?


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Deji Akingunola 2009-05-18 08:33:22 EDT
How is this a tracker bug (how is it a bug at all)? How do you know Fedora has the functionality you were looking for?
Comment 2 Valent Turkovic 2009-05-18 10:23:01 EDT
http://projects.gnome.org/tracker/features.html

This feature is on Tracker project page. I'm not sure if it is a bug, but I saw that Gnome since 2.22 version should have this functionality so I asked on mailing list and got a suggestion to report a bug for this.

I'm not sure that this is tracker or Gnome or Nautilus bug. So there is a chance I missed the component.

On this page:
http://projects.gnome.org/tracker/documentation.html
it says that Fedora and Ubuntu have Nautilus with built in Tracker support.

More info about this feature:
http://www.johnstowers.co.nz/blog/index.php/2007/02/06/a-metadata-enabled-gnome/
http://live.gnome.org/Nautilus/Extending
Comment 3 Valent Turkovic 2009-05-22 03:30:38 EDT
Do you need some more feedback that I can provide?
Comment 4 Deji Akingunola 2009-05-22 06:28:43 EDT
(In reply to comment #3)
> Do you need some more feedback that I can provide?  

Yes, if you have any. None of the links you provided above shows any actual way to 'reproduce the bug'. I think you may have better luck by re-assigning the bug to nautilus.
Comment 5 Valent Turkovic 2009-06-18 09:35:36 EDT
I switchet it to nautils bug. Can somebody who has more knowledge about how nautilus works say how to enable this integration with tracker and to confirm it this is a bug or not.
Comment 6 Bug Zapper 2009-11-18 06:58:33 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-12-18 04:27:08 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 8 Valent Turkovic 2009-12-18 07:31:07 EST
This feature is still not explained how it works, so I attached this bug to Fedora 12 and hope somebody explains how this works.
Comment 9 Debarshi Ray 2010-01-05 07:43:06 EST
This feature is functional from Tracker 0.7.12 onwards. The earlier Nautilus extension written in Python did not work with the new 0.7.x APIs, and it was re-written (this time in C). Whether it worked with 0.6.x is unknown to me, but I think there is something wrong with the nautilus-python package as none of the Nautilus extensions written in Python (eg., Postr) worked for me.

So you can try to use 0.7.x. It is not as unstable as people think it to be. Here is a SRPM: http://rishi.fedorapeople.org/tracker-0.7.12-1.fc11.src.rpm

Therefore you should actually file a bug against nautilus-python and not against Tracker 0.6.x, which Fedora has and is really old and API incompatible with the new 0.7.x series.
Comment 10 Valent Turkovic 2010-01-10 15:23:13 EST
Then this should be changed to tracker bug instead of nautilus
Comment 11 Valent Turkovic 2010-01-10 15:28:58 EST
Should I open new RFE bug asking for tracker update or will this bug suffice?
Comment 12 Valent Turkovic 2010-01-10 15:32:06 EST
Sorry for my mistake, I moved the bug to nautilus-python as per your suggestion in comment #9
Comment 13 Valent Turkovic 2010-03-07 08:53:37 EST
any comments regarding this issue?
Comment 14 Valent Turkovic 2010-05-06 11:30:57 EDT
(In reply to comment #9)
> This feature is functional from Tracker 0.7.12 onwards. The earlier Nautilus
> extension written in Python did not work with the new 0.7.x APIs, and it was
> re-written (this time in C). Whether it worked with 0.6.x is unknown to me, but
> I think there is something wrong with the nautilus-python package as none of
> the Nautilus extensions written in Python (eg., Postr) worked for me.
> 
> So you can try to use 0.7.x. It is not as unstable as people think it to be.
> Here is a SRPM: http://rishi.fedorapeople.org/tracker-0.7.12-1.fc11.src.rpm
> 
> Therefore you should actually file a bug against nautilus-python and not
> against Tracker 0.6.x, which Fedora has and is really old and API incompatible
> with the new 0.7.x series.    

Do you have any more suggestions?
Comment 15 Deji Akingunola 2010-05-06 12:06:54 EDT
(In reply to comment #14)
> (In reply to comment #9)
> > This feature is functional from Tracker 0.7.12 onwards. The earlier Nautilus
> > extension written in Python did not work with the new 0.7.x APIs, and it was
> > re-written (this time in C). Whether it worked with 0.6.x is unknown to me, but
> > I think there is something wrong with the nautilus-python package as none of
> > the Nautilus extensions written in Python (eg., Postr) worked for me.
> > 
> > So you can try to use 0.7.x. It is not as unstable as people think it to be.
> > Here is a SRPM: http://rishi.fedorapeople.org/tracker-0.7.12-1.fc11.src.rpm
> > 
> > Therefore you should actually file a bug against nautilus-python and not
> > against Tracker 0.6.x, which Fedora has and is really old and API incompatible
> > with the new 0.7.x series.    
> 
> Do you have any more suggestions?    

This works excellently well in F-13 due to the work of Debarshi Ray and the tracker devs. If you can, try out F-13.

It will take some amount of back-ports to Gnome components in F-12 to update tracker to the current 0.8.x release there (and fix  this bug for F-12).
Comment 16 Valent Turkovic 2010-05-06 12:28:58 EDT
Great news! Thank you Debarshi Ray and the tracker devs! Can't wait to try it out in F13!
Comment 17 Valent Turkovic 2010-11-06 09:31:35 EDT
Should I reopen this bug as an new RFE? I get tags if I right click on some file and click on "tags" but I don't see any nautilsu integration.

Is there an explanation how tags whould work in nautilus with tracker?

I currently testing this in Fedora 14 with tracker 0.8.17 and nautilus-python 0.7.0

Any ideas or comments?
Comment 18 Valent Turkovic 2010-11-20 15:58:17 EST
Anybody?
Comment 19 Mark 2010-12-03 12:39:41 EST
I can confirm what Valent Turkovic has written. It's still does not work.
The same versions: Fedora 14, Tracker 0.8.17, Nautilus 2.32.1, nautilus-python 0.7.0. Does nobody uses this so nobody is interested in fixing this?
Comment 20 Alexander Hunt 2010-12-06 21:57:44 EST
Fc14(x86_64), Nautilus 2.32.1, Tracker 0.8.17-1.fc14.
I confirm this and add: tagging is available in the properties for any file or folder in Nautilus, but Nautilus does not show the tags anywhere that I can find, or have any way to show or modify them in the side-pane, no matter which view is chosen in the side-pane. The tags should show and be editable in "information" view at least, and be searchable through tracker in Nautilus or trackers search window. Tags are also not available in "List Columns" which maybe they should be to be flexible for user-needs.
Comment 21 Cosimo Cecchi 2010-12-08 09:56:28 EST
(In reply to comment #20)
> Fc14(x86_64), Nautilus 2.32.1, Tracker 0.8.17-1.fc14.
> I confirm this and add: tagging is available in the properties for any file or
> folder in Nautilus, but Nautilus does not show the tags anywhere that I can
> find, or have any way to show or modify them in the side-pane, no matter which
> view is chosen in the side-pane. The tags should show and be editable in
> "information" view at least, and be searchable through tracker in Nautilus or
> trackers search window. Tags are also not available in "List Columns" which
> maybe they should be to be flexible for user-needs.

The feature you can see in the video is *not* part of any upstream code AFAIK; definitely not nautilus' code, and looking at here [1], I'd say neither tracker's nautilus plugin.

Integration between tracker and nautilus, as it is:
- nautilus optionally uses tracker for searching
- tracker's nautilus plugin allows to tag a file from the context menu and to see all of its tags in a property page

[1] http://git.gnome.org/browse/tracker/tree/src/plugins/nautilus
Comment 22 Valent Turkovic 2011-06-13 15:53:57 EDT
So where did the functionality come from as seen in the video clip?
Comment 23 Cosimo Cecchi 2011-06-13 17:10:02 EDT
(In reply to comment #22)
> So where did the functionality come from as seen in the video clip?

It's a custom patch made by the same guy who did the video I believe, but the patch never made it upstream.
Comment 24 Cosimo Cecchi 2011-06-13 17:10:45 EDT
This should really be closed.

Note You need to log in before you can comment on or make changes to this bug.